#ifndef cdc_map_h__
#define cdc_map_h__

#include "cdc_tbl.h"

typedef struct cdc_map
{
  cdc_tbl_t tbl;
} cdc_map_t;

int cdc_map_init(cdc_t *cdc, unsigned long blocks);
int cdc_map_cleanup(cdc_t *cdc);
int cdc_map_hdr_write(cdc_t *cdc, char *ptr, size_t *sz);
int cdc_map_hdr_read(cdc_t *cdc, const char *ptr, const char **eptr);
int cdc_map_flush(
  cdc_t *cdc
  );
int cdc_map_entry_get(
  cdc_t         *cdc,
  unsigned long  entry,
  unsigned long *value
  );
int cdc_map_entry_set(
  cdc_t        *cdc,
  unsigned long entry,
  unsigned long value
  );

int cdc_map_tbl_create(cdc_t *cdc);
int cdc_map_counters_get(cdc_t *cdc, comprio_stat_t *buf);
#endif /* cdc_map_h__ */

