// file: derived.h
#ifndef DERIVED_CLASS_DEFINED
#define DERIVED_CLASS_DEFINED

#include "base.h"
#include <string>

class Derived : public Base
{
    std::string mystring;
    virtual BASE_KEY_TYPE classID() const;

protected:

    virtual void initialize();

	virtual void do_write(std::ostream &) const;

	virtual void do_read(std::istream &);

public:
    virtual void displayValues();
};

#endif